# Gst::MessageSegmentDone Class Reference

A segment done message. More...

Inherits Gst::Message.

Collaboration diagram for Gst::MessageSegmentDone:
[legend]

List of all members.

## Public Member Functions

| MessageSegmentDone (GstMessage* castitem)
void | parse (Format& format, gint64& position) const
| Extracts the position and format from the segment done message.
gint64 | parse () const
| Extracts and returns the position from the segment done message.
Format | parse_format () const
| Extracts and returns the format from the segment done message.

## Static Public Member Functions

static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, Format format, gint64 position)
| Create a new segment done message.

## Detailed Description

A segment done message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageSegmentDone::MessageSegmentDone | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageSegmentDone::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Format | format,
|  | gint64 | position |
| ) |  |  | `[static]`

Create a new segment done message.

This message is posted by elements that finish playback of a segment as a result of a segment seek. This message is received by the application after all elements that posted a Gst::MessageSegmentStart have posted the Gst::MessageSegmentDone.

Parameters:

  | src | The object originating the message.
  | format | The format of the position being done.
  | position | The position of the segment being done.

Returns:
  The new segment done message. MT safe.

gint64 Gst::MessageSegmentDone::parse | ( |  | ) | const

Extracts and returns the position from the segment done message.

MT safe.

Returns:
  The position.

void Gst::MessageSegmentDone::parse | ( | Format& | format,
|  | gint64 & | position |
| ) |  |  | const

Extracts the position and format from the segment done message.

MT safe.

Parameters:

  | format | Result location for the format.
  | position | Result location for the position.

Format Gst::MessageSegmentDone::parse_format | ( |  | ) | const

Extracts and returns the format from the segment done message.

MT safe.

Returns:
  The format.

The documentation for this class was generated from the following file:

- gstreamermm/message.h